1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \	]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89subdir = .
90ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
91am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_compile_flag.m4 \
92	$(top_srcdir)/m4/codeset.m4 $(top_srcdir)/m4/pkg.m4 \
93	$(top_srcdir)/configure.ac
94am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
95	$(ACLOCAL_M4)
96DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
97	$(am__configure_deps) $(am__DIST_COMMON)
98am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
99 configure.lineno config.status.lineno
100mkinstalldirs = $(install_sh) -d
101CONFIG_HEADER = $(top_builddir)/src/config.h
102CONFIG_CLEAN_FILES =
103CONFIG_CLEAN_VPATH_FILES =
104AM_V_P = $(am__v_P_@AM_V@)
105am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
106am__v_P_0 = false
107am__v_P_1 = :
108AM_V_GEN = $(am__v_GEN_@AM_V@)
109am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
110am__v_GEN_0 = @echo "  GEN     " $@;
111am__v_GEN_1 =
112AM_V_at = $(am__v_at_@AM_V@)
113am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
114am__v_at_0 = @
115am__v_at_1 =
116SOURCES =
117DIST_SOURCES =
118RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
119	ctags-recursive dvi-recursive html-recursive info-recursive \
120	install-data-recursive install-dvi-recursive \
121	install-exec-recursive install-html-recursive \
122	install-info-recursive install-pdf-recursive \
123	install-ps-recursive install-recursive installcheck-recursive \
124	installdirs-recursive pdf-recursive ps-recursive \
125	tags-recursive uninstall-recursive
126am__can_run_installinfo = \
127  case $$AM_UPDATE_INFO_DIR in \
128    n|no|NO) false;; \
129    *) (install-info --version) >/dev/null 2>&1;; \
130  esac
131am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
132am__vpath_adj = case $$p in \
133    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
134    *) f=$$p;; \
135  esac;
136am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
137am__install_max = 40
138am__nobase_strip_setup = \
139  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
140am__nobase_strip = \
141  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
142am__nobase_list = $(am__nobase_strip_setup); \
143  for p in $$list; do echo "$$p $$p"; done | \
144  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
145  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
146    if (++n[$$2] == $(am__install_max)) \
147      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
148    END { for (dir in files) print dir, files[dir] }'
149am__base_list = \
150  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
151  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
152am__uninstall_files_from_dir = { \
153  test -z "$$files" \
154    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
155    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
156         $(am__cd) "$$dir" && rm -f $$files; }; \
157  }
158am__installdirs = "$(DESTDIR)$(docdir)"
159DATA = $(doc_DATA)
160RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
161  distclean-recursive maintainer-clean-recursive
162am__recursive_targets = \
163  $(RECURSIVE_TARGETS) \
164  $(RECURSIVE_CLEAN_TARGETS) \
165  $(am__extra_recursive_targets)
166AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
167	cscope distdir dist dist-all distcheck
168am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
169# Read a list of newline-separated strings from the standard input,
170# and print each of them once, without duplicates.  Input order is
171# *not* preserved.
172am__uniquify_input = $(AWK) '\
173  BEGIN { nonempty = 0; } \
174  { items[$$0] = 1; nonempty = 1; } \
175  END { if (nonempty) { for (i in items) print i; }; } \
176'
177# Make sure the list of sources is unique.  This is necessary because,
178# e.g., the same source file might be shared among _SOURCES variables
179# for different programs/libraries.
180am__define_uniq_tagged_files = \
181  list='$(am__tagged_files)'; \
182  unique=`for i in $$list; do \
183    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
184  done | $(am__uniquify_input)`
185ETAGS = etags
186CTAGS = ctags
187CSCOPE = cscope
188DIST_SUBDIRS = $(SUBDIRS)
189am__DIST_COMMON = $(srcdir)/Makefile.in \
190	$(top_srcdir)/build-aux/compile \
191	$(top_srcdir)/build-aux/install-sh \
192	$(top_srcdir)/build-aux/missing AUTHORS COPYING ChangeLog \
193	INSTALL NEWS README TODO build-aux/compile \
194	build-aux/install-sh build-aux/missing
195DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
196distdir = $(PACKAGE)-$(VERSION)
197top_distdir = $(distdir)
198am__remove_distdir = \
199  if test -d "$(distdir)"; then \
200    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
201      && rm -rf "$(distdir)" \
202      || { sleep 5 && rm -rf "$(distdir)"; }; \
203  else :; fi
204am__post_remove_distdir = $(am__remove_distdir)
205am__relativize = \
206  dir0=`pwd`; \
207  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
208  sed_rest='s,^[^/]*/*,,'; \
209  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
210  sed_butlast='s,/*[^/]*$$,,'; \
211  while test -n "$$dir1"; do \
212    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
213    if test "$$first" != "."; then \
214      if test "$$first" = ".."; then \
215        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
216        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
217      else \
218        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
219        if test "$$first2" = "$$first"; then \
220          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
221        else \
222          dir2="../$$dir2"; \
223        fi; \
224        dir0="$$dir0"/"$$first"; \
225      fi; \
226    fi; \
227    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
228  done; \
229  reldir="$$dir2"
230DIST_ARCHIVES = $(distdir).tar.gz
231GZIP_ENV = --best
232DIST_TARGETS = dist-gzip
233distuninstallcheck_listfiles = find . -type f -print
234am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
235  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
236distcleancheck_listfiles = find . -type f -print
237ACLOCAL = @ACLOCAL@
238AMTAR = @AMTAR@
239AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
240AUTOCONF = @AUTOCONF@
241AUTOHEADER = @AUTOHEADER@
242AUTOMAKE = @AUTOMAKE@
243AWK = @AWK@
244CC = @CC@
245CCDEPMODE = @CCDEPMODE@
246CFLAGS = @CFLAGS@
247CPP = @CPP@
248CPPFLAGS = @CPPFLAGS@
249CYGPATH_W = @CYGPATH_W@
250DEFS = @DEFS@
251DEPDIR = @DEPDIR@
252ECHO_C = @ECHO_C@
253ECHO_N = @ECHO_N@
254ECHO_T = @ECHO_T@
255EGREP = @EGREP@
256EXEEXT = @EXEEXT@
257GREP = @GREP@
258HISTORY_LIBS = @HISTORY_LIBS@
259INSTALL = @INSTALL@
260INSTALL_DATA = @INSTALL_DATA@
261INSTALL_PROGRAM = @INSTALL_PROGRAM@
262INSTALL_SCRIPT = @INSTALL_SCRIPT@
263INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
264LDFLAGS = @LDFLAGS@
265LIBOBJS = @LIBOBJS@
266LIBS = @LIBS@
267LTLIBOBJS = @LTLIBOBJS@
268MAINT = @MAINT@
269MAKEINFO = @MAKEINFO@
270MANDOC = @MANDOC@
271MKDIR_P = @MKDIR_P@
272OBJEXT = @OBJEXT@
273PACKAGE = @PACKAGE@
274PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
275PACKAGE_NAME = @PACKAGE_NAME@
276PACKAGE_STRING = @PACKAGE_STRING@
277PACKAGE_TARNAME = @PACKAGE_TARNAME@
278PACKAGE_URL = @PACKAGE_URL@
279PACKAGE_VERSION = @PACKAGE_VERSION@
280PATH_SEPARATOR = @PATH_SEPARATOR@
281PKG_CONFIG = @PKG_CONFIG@
282PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
283PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
284SET_MAKE = @SET_MAKE@
285SHELL = @SHELL@
286STRIP = @STRIP@
287VERSION = @VERSION@
288XFT_CFLAGS = @XFT_CFLAGS@
289XFT_LIBS = @XFT_LIBS@
290XMKMF = @XMKMF@
291X_CFLAGS = @X_CFLAGS@
292X_EXTRA_LIBS = @X_EXTRA_LIBS@
293X_LIBS = @X_LIBS@
294X_PRE_LIBS = @X_PRE_LIBS@
295abs_builddir = @abs_builddir@
296abs_srcdir = @abs_srcdir@
297abs_top_builddir = @abs_top_builddir@
298abs_top_srcdir = @abs_top_srcdir@
299ac_ct_CC = @ac_ct_CC@
300am__include = @am__include@
301am__leading_dot = @am__leading_dot@
302am__quote = @am__quote@
303am__tar = @am__tar@
304am__untar = @am__untar@
305bindir = @bindir@
306build_alias = @build_alias@
307builddir = @builddir@
308datadir = @datadir@
309datarootdir = @datarootdir@
310docdir = @docdir@
311dvidir = @dvidir@
312exec_prefix = @exec_prefix@
313host_alias = @host_alias@
314htmldir = @htmldir@
315includedir = @includedir@
316infodir = @infodir@
317install_sh = @install_sh@
318libdir = @libdir@
319libexecdir = @libexecdir@
320lispdir = @lispdir@
321localedir = @localedir@
322localstatedir = @localstatedir@
323mandir = @mandir@
324manpage_format = @manpage_format@
325mkdir_p = @mkdir_p@
326oldincludedir = @oldincludedir@
327pdfdir = @pdfdir@
328prefix = @prefix@
329program_transform_name = @program_transform_name@
330psdir = @psdir@
331sbindir = @sbindir@
332sharedstatedir = @sharedstatedir@
333srcdir = @srcdir@
334sysconfdir = @sysconfdir@
335target_alias = @target_alias@
336top_build_prefix = @top_build_prefix@
337top_builddir = @top_builddir@
338top_srcdir = @top_srcdir@
339ACLOCAL_AMFLAGS = -I m4 --install
340CLEANFILES = *~ gmon.out
341MAINTAINERCLEANFILES = Makefile.in aclocal.m4 configure src/config.h.in \
342			build-aux/depcomp build-aux/install-sh  \
343			build-aux/missing build-aux/texinfo.tex
344
345SUBDIRS = src doc contrib
346doc_DATA = AUTHORS  NEWS README
347EXTRA_DIST = $(doc_DATA)
348all: all-recursive
349
350.SUFFIXES:
351am--refresh: Makefile
352	@:
353$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
354	@for dep in $?; do \
355	  case '$(am__configure_deps)' in \
356	    *$$dep*) \
357	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
358	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
359		&& exit 0; \
360	      exit 1;; \
361	  esac; \
362	done; \
363	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
364	$(am__cd) $(top_srcdir) && \
365	  $(AUTOMAKE) --gnu Makefile
366Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
367	@case '$?' in \
368	  *config.status*) \
369	    echo ' $(SHELL) ./config.status'; \
370	    $(SHELL) ./config.status;; \
371	  *) \
372	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
373	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
374	esac;
375
376$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
377	$(SHELL) ./config.status --recheck
378
379$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
380	$(am__cd) $(srcdir) && $(AUTOCONF)
381$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
382	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
383$(am__aclocal_m4_deps):
384install-docDATA: $(doc_DATA)
385	@$(NORMAL_INSTALL)
386	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
387	if test -n "$$list"; then \
388	  echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
389	  $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
390	fi; \
391	for p in $$list; do \
392	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
393	  echo "$$d$$p"; \
394	done | $(am__base_list) | \
395	while read files; do \
396	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
397	  $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
398	done
399
400uninstall-docDATA:
401	@$(NORMAL_UNINSTALL)
402	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
403	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
404	dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
405
406# This directory's subdirectories are mostly independent; you can cd
407# into them and run 'make' without going through this Makefile.
408# To change the values of 'make' variables: instead of editing Makefiles,
409# (1) if the variable is set in 'config.status', edit 'config.status'
410#     (which will cause the Makefiles to be regenerated when you run 'make');
411# (2) otherwise, pass the desired values on the 'make' command line.
412$(am__recursive_targets):
413	@fail=; \
414	if $(am__make_keepgoing); then \
415	  failcom='fail=yes'; \
416	else \
417	  failcom='exit 1'; \
418	fi; \
419	dot_seen=no; \
420	target=`echo $@ | sed s/-recursive//`; \
421	case "$@" in \
422	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
423	  *) list='$(SUBDIRS)' ;; \
424	esac; \
425	for subdir in $$list; do \
426	  echo "Making $$target in $$subdir"; \
427	  if test "$$subdir" = "."; then \
428	    dot_seen=yes; \
429	    local_target="$$target-am"; \
430	  else \
431	    local_target="$$target"; \
432	  fi; \
433	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
434	  || eval $$failcom; \
435	done; \
436	if test "$$dot_seen" = "no"; then \
437	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
438	fi; test -z "$$fail"
439
440ID: $(am__tagged_files)
441	$(am__define_uniq_tagged_files); mkid -fID $$unique
442tags: tags-recursive
443TAGS: tags
444
445tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
446	set x; \
447	here=`pwd`; \
448	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
449	  include_option=--etags-include; \
450	  empty_fix=.; \
451	else \
452	  include_option=--include; \
453	  empty_fix=; \
454	fi; \
455	list='$(SUBDIRS)'; for subdir in $$list; do \
456	  if test "$$subdir" = .; then :; else \
457	    test ! -f $$subdir/TAGS || \
458	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
459	  fi; \
460	done; \
461	$(am__define_uniq_tagged_files); \
462	shift; \
463	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
464	  test -n "$$unique" || unique=$$empty_fix; \
465	  if test $$# -gt 0; then \
466	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
467	      "$$@" $$unique; \
468	  else \
469	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
470	      $$unique; \
471	  fi; \
472	fi
473ctags: ctags-recursive
474
475CTAGS: ctags
476ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
477	$(am__define_uniq_tagged_files); \
478	test -z "$(CTAGS_ARGS)$$unique" \
479	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
480	     $$unique
481
482GTAGS:
483	here=`$(am__cd) $(top_builddir) && pwd` \
484	  && $(am__cd) $(top_srcdir) \
485	  && gtags -i $(GTAGS_ARGS) "$$here"
486cscope: cscope.files
487	test ! -s cscope.files \
488	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
489clean-cscope:
490	-rm -f cscope.files
491cscope.files: clean-cscope cscopelist
492cscopelist: cscopelist-recursive
493
494cscopelist-am: $(am__tagged_files)
495	list='$(am__tagged_files)'; \
496	case "$(srcdir)" in \
497	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
498	  *) sdir=$(subdir)/$(srcdir) ;; \
499	esac; \
500	for i in $$list; do \
501	  if test -f "$$i"; then \
502	    echo "$(subdir)/$$i"; \
503	  else \
504	    echo "$$sdir/$$i"; \
505	  fi; \
506	done >> $(top_builddir)/cscope.files
507
508distclean-tags:
509	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
510	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
511
512distdir: $(DISTFILES)
513	$(am__remove_distdir)
514	test -d "$(distdir)" || mkdir "$(distdir)"
515	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
516	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
517	list='$(DISTFILES)'; \
518	  dist_files=`for file in $$list; do echo $$file; done | \
519	  sed -e "s|^$$srcdirstrip/||;t" \
520	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
521	case $$dist_files in \
522	  */*) $(MKDIR_P) `echo "$$dist_files" | \
523			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
524			   sort -u` ;; \
525	esac; \
526	for file in $$dist_files; do \
527	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
528	  if test -d $$d/$$file; then \
529	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
530	    if test -d "$(distdir)/$$file"; then \
531	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
532	    fi; \
533	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
534	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
535	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
536	    fi; \
537	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
538	  else \
539	    test -f "$(distdir)/$$file" \
540	    || cp -p $$d/$$file "$(distdir)/$$file" \
541	    || exit 1; \
542	  fi; \
543	done
544	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
545	  if test "$$subdir" = .; then :; else \
546	    $(am__make_dryrun) \
547	      || test -d "$(distdir)/$$subdir" \
548	      || $(MKDIR_P) "$(distdir)/$$subdir" \
549	      || exit 1; \
550	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
551	    $(am__relativize); \
552	    new_distdir=$$reldir; \
553	    dir1=$$subdir; dir2="$(top_distdir)"; \
554	    $(am__relativize); \
555	    new_top_distdir=$$reldir; \
556	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
557	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
558	    ($(am__cd) $$subdir && \
559	      $(MAKE) $(AM_MAKEFLAGS) \
560	        top_distdir="$$new_top_distdir" \
561	        distdir="$$new_distdir" \
562		am__remove_distdir=: \
563		am__skip_length_check=: \
564		am__skip_mode_fix=: \
565	        distdir) \
566	      || exit 1; \
567	  fi; \
568	done
569	$(MAKE) $(AM_MAKEFLAGS) \
570	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
571	  dist-hook
572	-test -n "$(am__skip_mode_fix)" \
573	|| find "$(distdir)" -type d ! -perm -755 \
574		-exec chmod u+rwx,go+rx {} \; -o \
575	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
576	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
577	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
578	|| chmod -R a+r "$(distdir)"
579dist-gzip: distdir
580	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
581	$(am__post_remove_distdir)
582
583dist-bzip2: distdir
584	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
585	$(am__post_remove_distdir)
586
587dist-lzip: distdir
588	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
589	$(am__post_remove_distdir)
590
591dist-xz: distdir
592	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
593	$(am__post_remove_distdir)
594
595dist-tarZ: distdir
596	@echo WARNING: "Support for distribution archives compressed with" \
597		       "legacy program 'compress' is deprecated." >&2
598	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
599	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
600	$(am__post_remove_distdir)
601
602dist-shar: distdir
603	@echo WARNING: "Support for shar distribution archives is" \
604	               "deprecated." >&2
605	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
606	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
607	$(am__post_remove_distdir)
608
609dist-zip: distdir
610	-rm -f $(distdir).zip
611	zip -rq $(distdir).zip $(distdir)
612	$(am__post_remove_distdir)
613
614dist dist-all:
615	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
616	$(am__post_remove_distdir)
617
618# This target untars the dist file and tries a VPATH configuration.  Then
619# it guarantees that the distribution is self-contained by making another
620# tarfile.
621distcheck: dist
622	case '$(DIST_ARCHIVES)' in \
623	*.tar.gz*) \
624	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
625	*.tar.bz2*) \
626	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
627	*.tar.lz*) \
628	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
629	*.tar.xz*) \
630	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
631	*.tar.Z*) \
632	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
633	*.shar.gz*) \
634	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
635	*.zip*) \
636	  unzip $(distdir).zip ;;\
637	esac
638	chmod -R a-w $(distdir)
639	chmod u+w $(distdir)
640	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
641	chmod a-w $(distdir)
642	test -d $(distdir)/_build || exit 0; \
643	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
644	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
645	  && am__cwd=`pwd` \
646	  && $(am__cd) $(distdir)/_build/sub \
647	  && ../../configure \
648	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
649	    $(DISTCHECK_CONFIGURE_FLAGS) \
650	    --srcdir=../.. --prefix="$$dc_install_base" \
651	  && $(MAKE) $(AM_MAKEFLAGS) \
652	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
653	  && $(MAKE) $(AM_MAKEFLAGS) check \
654	  && $(MAKE) $(AM_MAKEFLAGS) install \
655	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
656	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
657	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
658	        distuninstallcheck \
659	  && chmod -R a-w "$$dc_install_base" \
660	  && ({ \
661	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
662	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
663	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
664	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
665	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
666	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
667	  && rm -rf "$$dc_destdir" \
668	  && $(MAKE) $(AM_MAKEFLAGS) dist \
669	  && rm -rf $(DIST_ARCHIVES) \
670	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
671	  && cd "$$am__cwd" \
672	  || exit 1
673	$(am__post_remove_distdir)
674	@(echo "$(distdir) archives ready for distribution: "; \
675	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
676	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
677distuninstallcheck:
678	@test -n '$(distuninstallcheck_dir)' || { \
679	  echo 'ERROR: trying to run $@ with an empty' \
680	       '$$(distuninstallcheck_dir)' >&2; \
681	  exit 1; \
682	}; \
683	$(am__cd) '$(distuninstallcheck_dir)' || { \
684	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
685	  exit 1; \
686	}; \
687	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
688	   || { echo "ERROR: files left after uninstall:" ; \
689	        if test -n "$(DESTDIR)"; then \
690	          echo "  (check DESTDIR support)"; \
691	        fi ; \
692	        $(distuninstallcheck_listfiles) ; \
693	        exit 1; } >&2
694distcleancheck: distclean
695	@if test '$(srcdir)' = . ; then \
696	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
697	  exit 1 ; \
698	fi
699	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
700	  || { echo "ERROR: files left in build directory after distclean:" ; \
701	       $(distcleancheck_listfiles) ; \
702	       exit 1; } >&2
703check-am: all-am
704check: check-recursive
705all-am: Makefile $(DATA)
706installdirs: installdirs-recursive
707installdirs-am:
708	for dir in "$(DESTDIR)$(docdir)"; do \
709	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
710	done
711install: install-recursive
712install-exec: install-exec-recursive
713install-data: install-data-recursive
714uninstall: uninstall-recursive
715
716install-am: all-am
717	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
718
719installcheck: installcheck-recursive
720install-strip:
721	if test -z '$(STRIP)'; then \
722	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
723	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
724	      install; \
725	else \
726	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
727	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
728	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
729	fi
730mostlyclean-generic:
731
732clean-generic:
733	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
734
735distclean-generic:
736	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
737	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
738
739maintainer-clean-generic:
740	@echo "This command is intended for maintainers to use"
741	@echo "it deletes files that may require special tools to rebuild."
742	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
743clean: clean-recursive
744
745clean-am: clean-generic mostlyclean-am
746
747distclean: distclean-recursive
748	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
749	-rm -f Makefile
750distclean-am: clean-am distclean-generic distclean-tags
751
752dvi: dvi-recursive
753
754dvi-am:
755
756html: html-recursive
757
758html-am:
759
760info: info-recursive
761
762info-am:
763
764install-data-am: install-docDATA
765
766install-dvi: install-dvi-recursive
767
768install-dvi-am:
769
770install-exec-am:
771
772install-html: install-html-recursive
773
774install-html-am:
775
776install-info: install-info-recursive
777
778install-info-am:
779
780install-man:
781
782install-pdf: install-pdf-recursive
783
784install-pdf-am:
785
786install-ps: install-ps-recursive
787
788install-ps-am:
789
790installcheck-am:
791
792maintainer-clean: maintainer-clean-recursive
793	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
794	-rm -rf $(top_srcdir)/autom4te.cache
795	-rm -f Makefile
796maintainer-clean-am: distclean-am maintainer-clean-generic
797
798mostlyclean: mostlyclean-recursive
799
800mostlyclean-am: mostlyclean-generic
801
802pdf: pdf-recursive
803
804pdf-am:
805
806ps: ps-recursive
807
808ps-am:
809
810uninstall-am: uninstall-docDATA
811
812.MAKE: $(am__recursive_targets) install-am install-strip
813
814.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
815	am--refresh check check-am clean clean-cscope clean-generic \
816	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
817	dist-gzip dist-hook dist-lzip dist-shar dist-tarZ dist-xz \
818	dist-zip distcheck distclean distclean-generic distclean-tags \
819	distcleancheck distdir distuninstallcheck dvi dvi-am html \
820	html-am info info-am install install-am install-data \
821	install-data-am install-docDATA install-dvi install-dvi-am \
822	install-exec install-exec-am install-html install-html-am \
823	install-info install-info-am install-man install-pdf \
824	install-pdf-am install-ps install-ps-am install-strip \
825	installcheck installcheck-am installdirs installdirs-am \
826	maintainer-clean maintainer-clean-generic mostlyclean \
827	mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
828	uninstall-am uninstall-docDATA
829
830.PRECIOUS: Makefile
831
832
833dist-hook:
834	chmod -R go-w $(distdir)
835
836sense:
837	@echo 42
838
839.PHONY: dist-hook sense
840
841# Tell versions [3.59,3.63) of GNU make to not export all variables.
842# Otherwise a system limit (for SysV at least) may be exceeded.
843.NOEXPORT:
844